Create New Page HTTP Callbacks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/http_callbacks

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • name string Required
  • url string Required
  • feed_format string Required

    must match "json" or "xml"

  • feed_format_version number

    must be 9 or 10.

  • content_type: `header` (string, required) - must match "header" or "key_value_pair" string
  • key_value_pair_key (string, optional) - reuqired if content_type is "key_value_pair" string
  • error_email string
  • notification_email string
  • is_gauranteed_delivery boolean
  • mode string
  • secure_type string
  • is_disabled boolean
  • trigger_post_email `support@iformbuilder.com` string
  • secure_key string

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created page http callback id

POST /profiles/{profile_id}/pages/{page_id}/http_callbacks
curl \
 --request POST 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/http_callbacks' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "name": "New Record Endpoint",
  "url": "https://www.iformbuilder.com/post_http_endpoint.php",
  "feed_format": "json",
  "content_type": "header",
  "is_gauranteed_delivery": true
}'
Request example
{
  "name": "New Record Endpoint",
  "url": "https://www.iformbuilder.com/post_http_endpoint.php",
  "feed_format": "json",
  "content_type": "header",
  "is_gauranteed_delivery": true
}
Response examples (201)
{
  "id": 283
}